<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('property_amenity_property_category', function (Blueprint $table) {
            $table->id();
            $table->foreignIdFor(\App\Models\PropertyAmenity::class)->nullable()->constrained()->cascadeOnUpdate()->cascadeOnDelete();

            $table->foreignIdFor(\App\Models\PropertyCategory::class)->nullable()->constrained()->cascadeOnUpdate()->cascadeOnDelete();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('property_amenity_property_category');
    }
};
